SDL_CreateAsyncIOQueue(3)

NAME
SDL_CreateAsyncIOQueue - Create a task queue for tracking multiple I/O operations.

HEADER FILE
Defined in SDL3/SDL_asyncio.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_AsyncIOQueue * SDL_CreateAsyncIOQueue(void);

DESCRIPTION
Async I/O operations are assigned to a queue when started. The queue can be checked for completed tasks thereafter.

RETURN VALUE
( SDL_AsyncIOQueue
 *) Returns a new task queue object or NULL if there was an error; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_DestroyAsyncIOQueue(3), •(3), SDL_GetAsyncIOResult(3), •(3), SDL_WaitAsyncIOResult(3)